import sys

sys.stdin = open("division.in", "r")
sys.stdout = open("division.out", "w")

n = int(input())

n3 = n // 3
delta = 10
mina = max(1, n3 - delta)
maxc = min(n, n3 + delta)

ba, bb, bc = 1, 2, n - 3
best = ba * ba + bb * bb + bc * bc

for a in range(mina, maxc + 1):
    for b in range(a + 1, maxc + 1):
        for c in range(b + 1, maxc + 1):
            if a + b + c == n and a * a + b * b + c * c < best:
                ba, bb, bc, best = a, b, c, a * a + b * b + c * c

print(ba, bb, bc)